### Function

# Gimp gradient_segment_get_blending_function

since: 2.2

#### Declaration [src]

    gboolean
    gimp_gradient_segment_get_blending_function (
      const gchar* name,
      gint segment,
      GimpGradientSegmentType* blend_func
    )

#### Description [src]

Retrieves the gradient segment’s blending function

This procedure retrieves the blending function of the segment at the specified gradient name and segment index.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The gradient name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`segment`

  Type: `gint`

  The index of the segment within the gradient.

`blend_func`

  Type: `GimpGradientSegmentType`

  The blending function of the segment.

  The argument will be set by the function.
  The called function takes ownership of the data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

TRUE on success.